summaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh')
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh
new file mode 100755
index 00000000..4b2f2546
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-42.3-x86_64/001-systemsetup.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -e
+
+BASEDIR=$(dirname "$0")
+source $BASEDIR/../common/network_test_server_ip.txt
+
+sed -i '$ a\[Daemon\]\nAutolock=false\nLockOnResume=false' ~/.config/kscreenlockerrc
+
+echo "Set Network Test Server address to $network_test_server_ip in /etc/hosts"
+echo "$network_test_server_ip qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts
+echo "Set DISPLAY"
+echo 'export DISPLAY=":0"' >> ~/.bashrc
+